import { TranslateService } from '@ngx-translate/core';
import { Domain, MessageService } from 'bitfront-library/shared/index';
import { CampanyaService } from '../../common/service/campanya.service';
import { ReservarCitaPaso } from './reservar-cita-paso';
export declare class SeleccionarServicioComponent extends ReservarCitaPaso {
    campanyaService: CampanyaService;
    translate: TranslateService;
    message: MessageService;
    listServicio: Domain[];
    listSitio: Domain[];
    listEntidad: Domain[];
    listRecurso: Domain[];
    constructor(campanyaService: CampanyaService, translate: TranslateService, message: MessageService);
    loadDatosInicio(): void;
    validarPaso(): boolean;
    updateReservaCita(): void;
    resetActions(): void;
    back(): void;
    changeServicio(): void;
    changeSitio(): void;
    loadEntidades(): void;
    changeEntidad(): void;
}
