"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var reservar_cita_paso_1 = require("./reservar-cita-paso");
var ResumenCitaComponent = (function (_super) {
    __extends(ResumenCitaComponent, _super);
    function ResumenCitaComponent() {
        return _super.call(this, "ResumenCitaComponent") || this;
    }
    ResumenCitaComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'bci-resumen-cita',
                    template: "\n      <div class=\"paso\" [style.display]=\"visible?'block':'none'\">\n          <h4 class=\"importante\"><span class=\"fa fa-exclamation-circle\"></span>&nbsp;&nbsp;<span translate=\"titulo.importanteRecordar\">IMPORTANT RECORDI</span></h4>\n          <!--mlm bci-resumen-cita-texto></bci-resumen-cita-texto -->\n          <h4><span class=\"fa fa-calendar-check-o\"></span>&nbsp;&nbsp;<span translate=\"subtitulo.datosReserva\">Dades de la reserva</span></h4>\n          <div class=\"alert alert-info\">\n              <div class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\" translate=\"dato.servicio\">Servei</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{resumen.servicioNombre}}</div>\n              </div>\n              <div class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\" translate=\"dato.sitio\">Lloc</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{resumen.sitioNombre}}</div>\n              </div>\n              <div class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\" translate=\"dato.entidad\">Oficina</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{resumen.entidadNombre}}</div>\n              </div>\n              <div class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\" translate=\"dato.recurso\">Tècnic</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{resumen.recursoNombre}}</div>\n              </div>\n              <div class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\" translate=\"dato.fechaCita\">Data de la cita</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{resumen.dia}} <span translate=\"info.aLas\">a les</span> {{resumen.hora}}</div>\n              </div>\n          </div>\n          <h4><span class=\"fa fa-user-circle-o\"></span>&nbsp;&nbsp;<span translate=\"subtitulo.datosSolicitante\">Dades del sol·licitant</span></h4>\n          <div *ngIf=\"resumen && resumen.valores\" class=\"alert alert-info\">\n              <div *ngFor=\"let valor of resumen.valores\" class=\"row\">\n                  <div class=\"col-xs-5 col-sm-3 text-right negrita\">{{valor.label}}</div>\n                  <div class=\"col-xs-7 col-sm-9 text-left\">{{valor.value}}</div>\n              </div>\n          </div>\n          <div class=\"row hidden-print\">\n              <div class=\"col-sm-12\">\n                  <button class=\"btn btn-default pull-right\" onclick=\"window.print();\"><span translate=\"btn.imprimir\">Imprimeix</span>&nbsp;&nbsp;<span class=\"fa fa-print\"></span></button>\n              </div>\n          </div>\n          <div class=\"row hidden-print\">\n              <div class=\"col-sm-12\">\n                  <div class=\"btn-navegar\">\n                      <button class=\"btn btn-upload pull-right\" (click)=\"goToPasoSiguiente();\"><span class=\"fa fa-chevron-left\"></span>&nbsp;&nbsp;<span translate=\"btn.reiniciar\">Inicia una nova reserva</span></button>\n                  </div>\n              </div>\n          </div>\n      </div>\n    "
                },] },
    ];
    /** @nocollapse */
    ResumenCitaComponent.ctorParameters = function () { return []; };
    return ResumenCitaComponent;
}(reservar_cita_paso_1.ReservarCitaPaso));
exports.ResumenCitaComponent = ResumenCitaComponent;
//# sourceMappingURL=4-resumen-cita.component.js.map